#pragma once

#include "CoreMinimal.h"
#include "KillerAbilityData.h"
#include "KillerFormSwitchingAbilityData.generated.h"

class UAkAudioEvent;

UCLASS(Blueprintable)
class DBDGAMEPLAY_API UKillerFormSwitchingAbilityData : public UKillerAbilityData
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UAkAudioEvent* _onFormSwitchingInteractionEnterAkEvent;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UAkAudioEvent* _onFormSwitchingInteractionCancelAkEvent;

public:
	UKillerFormSwitchingAbilityData();
};

FORCEINLINE uint32 GetTypeHash(const UKillerFormSwitchingAbilityData) { return 0; }
